低危 Apache HTTP Server响应拆分漏洞(CNVD-2018-15542)

CVE编号

CVE-2016-4975

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-08-15
漏洞描述
Apache HTTP Server是美国阿帕奇(Apache)软件基金会的一款开源网页服务器。该服务器具有快速、可靠且可通过简单的API进行扩充的特点。

Apache HTTP Server 2.4.1版本至2.4.23版本和2.2.0版本至2.2.31版本中存在响应拆分漏洞。攻击者可利用该漏洞实施HTTP响应拆分攻击。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://httpd.apache.org/security/vulnerabilities_22.html#CVE-2016-4975
参考链接
http://www.securityfocus.com/bid/105093
https://httpd.apache.org/security/vulnerabilities_22.html#CVE-2016-4975
https://httpd.apache.org/security/vulnerabilities_24.html#CVE-2016-4975
https://lists.apache.org/thread.html/56c2e7cc9deb1c12a843d0dc251ea7fd3e7e8029...
https://lists.apache.org/thread.html/84a3714f0878781f6ed84473d1a503d2cc382277...
https://lists.apache.org/thread.html/8d63cb8e9100f28a99429b4328e4e7cebce861d5...
https://lists.apache.org/thread.html/f7f95ac1cd9895db2714fa3ebaa0b94d0c6df360...
https://lists.apache.org/thread.html/r04e89e873d54116a0635ef2f7061c15acc5ed27...
https://lists.apache.org/thread.html/r57608dc51b79102f3952ae06f54d5277b649c86...
https://lists.apache.org/thread.html/r75cbe9ea3e2114e4271bbeca7aff96117b50c1b...
https://lists.apache.org/thread.html/r9ea3538f229874c80a10af473856a81fbf5f694...
https://lists.apache.org/thread.html/r9f93cf6dde308d42a9c807784e8102600d0397f...
https://lists.apache.org/thread.html/rb14daf9cc4e28d18cdc15d6a6ca74e565672fab...
https://lists.apache.org/thread.html/rc998b18880df98bafaade071346690c2bc1444a...
https://lists.apache.org/thread.html/rcc44594d4d6579b90deccd4536b5d31f099ef56...
https://lists.apache.org/thread.html/rd18c3c43602e66f9cdcf09f1de233804975b957...
https://lists.apache.org/thread.html/rd336919f655b7ff309385e34a143e41c503e133...
https://lists.apache.org/thread.html/rdca61ae990660bacb682295f2a09d34612b7bb5...
https://lists.apache.org/thread.html/re1e3a24664d35bcd0a0e793e0b5fc6ca6c107f9...
https://lists.apache.org/thread.html/re3d27b6250aa8548b8845d314bb8a350b3df326...
https://lists.apache.org/thread.html/rf6449464fd8b7437704c55f88361b66f12d5b5f...
https://lists.apache.org/thread.html/rfbaf647d52c1cb843e726a0933f156366a806ce...
https://security.netapp.com/advisory/ntap-20180926-0006/
https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-...
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache http_server 2.2.0 -
运行在以下环境
应用 apache http_server 2.2.10 -
运行在以下环境
应用 apache http_server 2.2.11 -
运行在以下环境
应用 apache http_server 2.2.12 -
运行在以下环境
应用 apache http_server 2.2.13 -
运行在以下环境
应用 apache http_server 2.2.14 -
运行在以下环境
应用 apache http_server 2.2.15 -
运行在以下环境
应用 apache http_server 2.2.16 -
运行在以下环境
应用 apache http_server 2.2.17 -
运行在以下环境
应用 apache http_server 2.2.18 -
运行在以下环境
应用 apache http_server 2.2.19 -
运行在以下环境
应用 apache http_server 2.2.2 -
运行在以下环境
应用 apache http_server 2.2.20 -
运行在以下环境
应用 apache http_server 2.2.21 -
运行在以下环境
应用 apache http_server 2.2.22 -
运行在以下环境
应用 apache http_server 2.2.23 -
运行在以下环境
应用 apache http_server 2.2.24 -
运行在以下环境
应用 apache http_server 2.2.25 -
运行在以下环境
应用 apache http_server 2.2.26 -
运行在以下环境
应用 apache http_server 2.2.27 -
运行在以下环境
应用 apache http_server 2.2.29 -
运行在以下环境
应用 apache http_server 2.2.3 -
运行在以下环境
应用 apache http_server 2.2.31 -
运行在以下环境
应用 apache http_server 2.2.4 -
运行在以下环境
应用 apache http_server 2.2.6 -
运行在以下环境
应用 apache http_server 2.2.8 -
运行在以下环境
应用 apache http_server 2.2.9 -
运行在以下环境
应用 apache http_server 2.4.1 -
运行在以下环境
应用 apache http_server 2.4.10 -
运行在以下环境
应用 apache http_server 2.4.12 -
运行在以下环境
应用 apache http_server 2.4.16 -
运行在以下环境
应用 apache http_server 2.4.17 -
运行在以下环境
应用 apache http_server 2.4.18 -
运行在以下环境
应用 apache http_server 2.4.2 -
运行在以下环境
应用 apache http_server 2.4.20 -
运行在以下环境
应用 apache http_server 2.4.23 -
运行在以下环境
应用 apache http_server 2.4.3 -
运行在以下环境
应用 apache http_server 2.4.4 -
运行在以下环境
应用 apache http_server 2.4.6 -
运行在以下环境
应用 apache http_server 2.4.7 -
运行在以下环境
应用 apache http_server 2.4.9 -
运行在以下环境
系统 centos_7 apache2 * Up to
(excluding)
2.4.6-45.el7.centos.4
运行在以下环境
系统 debian_8 apache2 * Up to
(excluding)
2.4.10-10+deb8u8
运行在以下环境
系统 opensuse_Leap_42.3 apache2 * Up to
(excluding)
2.4.23-28.1
运行在以下环境
系统 redhat_7 httpd * Up to
(excluding)
0:2.4.6-45.el7_3.4
运行在以下环境
系统 suse_12 apache2 * Up to
(excluding)
2.4.16-20.19
运行在以下环境
系统 suse_12_SP3 apache2 * Up to
(excluding)
2.4.23-29.24.1
运行在以下环境
系统 ubuntu_14.04 apache2 * Up to
(excluding)
2.4.7-1ubuntu4.14
运行在以下环境
系统 ubuntu_14.04.6_lts apache2 * Up to
(excluding)
2.4.7-1ubuntu4.14
运行在以下环境
系统 ubuntu_16.04 apache2 * Up to
(excluding)
2.4.18-2ubuntu3.2
运行在以下环境
系统 ubuntu_16.04.7_lts apache2 * Up to
(excluding)
2.4.18-2ubuntu3.2
运行在以下环境
系统 ubuntu_18.04 apache2 * Up to
(excluding)
2.4.29-1ubuntu4.2
运行在以下环境
系统 ubuntu_18.04.5_lts apache2 * Up to
(excluding)
2.4.29-1ubuntu4.2
运行在以下环境
系统 ubuntu_18.10 apache2 * Up to
(excluding)
2.4.34-1ubuntu1
阿里云评分
3.6
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-93 对CRLF序列的转义处理不恰当(CRLF注入)
阿里云安全产品覆盖情况